CompilerEnum (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.CompilerEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class CompilerEnum

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          net.sf.antcontrib.cpptasks.CompilerEnum

    public class CompilerEnum

extends org.apache.tools.ant.types.EnumeratedAttribute

Enumeration of supported compilers

Supported compilers
gcc (default) | GCC C++ compiler
g++ | GCC C++ compiler
c++ | GCC C++ compiler
g77 | GNU FORTRAN compiler
msvc | Microsoft Visual C++
msvc8 | Microsoft Visual C++ 8
bcc | Borland C++ Compiler
msrc | Microsoft Resource Compiler
brc | Borland Resource Compiler
df | Compaq Visual Fortran Compiler
midl | Microsoft MIDL Compiler
icl | Intel C++ compiler for Windows (IA-32)
ecl | Intel C++ compiler for Windows (IA-64)
icc | Intel C++ compiler for Linux (IA-32)
ecc | Intel C++ compiler for Linux (IA-64)
CC | Sun ONE C++ compiler
aCC | HP aC++ C++ Compiler
os390 | OS390 C Compiler
os400 | Icc Compiler
sunc89 | Sun C89 C Compiler
xlC | VisualAge C Compiler
cl6x | TI TMS320C6000 Optimizing Compiler
cl55 | TI TMS320C55x Optimizing C/C++ Compiler
armcpp | ARM 32-bit C++ compiler
armcc | ARM 32-bit C compiler
tcpp | ARM 16-bit C++ compiler
tcc | ARM 16-bit C compiler
*
uic | Qt user interface compiler
moc | Qt meta-object compiler
xpidl | Mozilla xpidl compiler (creates .h and .xpt files).
wcl | OpenWatcom C/C++ compiler (experimental)
wfl | OpenWatcom FORTRAN compiler (experimental)
windres | GNU windres resource compiler

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`CompilerEnum()`

Method Summary
`Compiler` | `getCompiler()`
`java.lang.String[]` | `getValues()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilerEnum

    public CompilerEnum()

Method Detail

### getCompiler

    public Compiler getCompiler()

### getValues

    public java.lang.String[] getValues()

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.